Skip to Content
avatar image
Former Member

Mobile devices which support SAP Netweaver Mobile 7.1

Hi all,

I would like to know what are all the mobile devices which would support application made of Netweaver Mobile.

According to my knowledge the following devices support, sorry PDA's support:

PPC 2003

PPC 2005

Mobile 6.0

My question is will normal mobile phones like Nokia or Sony ericsson will or will not support applications based on Netweaver Mobile.

If not why? any specific reasons.

My client is asking me these all Questions.

Kindly help me here.

Thanks.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • avatar image
    Former Member
    Jan 25, 2008 at 03:38 AM

    Hello Rahul,

    currently only Devices with MS Windows Mobile 2003 SE and Windows Mobile 2005 Devices are supported.

    You can also take a look at the PAM:

    Link: [PAM|https://www.sdn.sap.com/irj/sdn/go/portal/prtroot/docs/library/uuid/90e9ae27-d618-2a10-0b86-80fdcfda4a15 ]

    The Mobile Client is a Java application which is using the NSICom Creme 4.1 as Java Virtual Machine.

    The NSICom Creme currently supports only Windows CE devices.

    But for the future there are plans to support other devices like mobile phones.

    Best Regards,

    Stefan Wawrzinek

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      Hi Rahul,

      well, I understand the reason for your question, but I think it is not that easy.

      Sure, there are other JVM available for Mobile devices. Take J9 from IBM for example. But the problem is: every vendort has his own implementation, toolset, supports Swing or not,.... Well, sometimes it is just a small thing that is not working in one JVM that works fine on the other one and MI fails. With MI7.1 it gets a little more problematic. Up to version 7.0 MI supported Creme 3.xx based on JRE1.1.8. Starting with MI7.1 SAP supports the latest creme version that is compatible to JRE1.4. There are only a few JVM outside for the PDA supporting JRE1.4 and all this comes to the single sentence at the end:

      SAP supports only Creme - because it is only tested with creme.

      The min requirement is in the first place to be able to run Creme on the device. If this is ok, you should have 128MB RAM - I have not done any tests with MI7.1 on devices with less memory, but I got some issues with 7.0 MI and 64MB RAM.

      Well, at the end this is it to run MI occasionally connected.

      But if you need to run an App on the PDA and you do not need data storeage on the device cause you will be always online when you use the app - try WebDynproMobile. This runs in the browser, runs on the Mobile phone by my knowledge and could help you perhaps. If you are not always online and so you need data on the device, I think you need to go with PDAs.

      Hope this helps.

      Regards,

      Oliver